--drop table [MW_AUDIT]
go

CREATE TABLE [dbo].[MW_AUDIT](
	[EVENT_ID] nvarchar(64) NOT NULL,
	[SERVER_CUID] nvarchar(64) NOT NULL,
	[USER_NAME] nvarchar(30) NULL,
	[START_TIMESTAMP] [datetime] NULL,
	[DURATION] BIGINT NULL,
	[EVENT_TYPE_ID] INT NULL,
	[OBJECT_CUID] nvarchar(64) NULL,
	[OBJECT_TYPE] nvarchar(30) NULL,
	[ERROR_CODE] INT NULL,
	[OBJECT_ID] INT NULL,
	[APPLICATION_TYPE_ID] INT NULL,
	[UNIV_DETL] nvarchar(100) NULL,
	[OBJ_DETL] nvarchar(100) NULL,
	[LINES_DETL] nvarchar(10) NULL,
	[DOCNAME_DETL] nvarchar(60) NULL,
	[DOCTYPE_DETL] nvarchar(10) NULL,
	[PROMPTVAL_DETL] nvarchar(80) NULL,
	[OBJPATH_DETL] nvarchar(128) NULL,
	[SESSID_DETL] nvarchar(10) NULL,
	[CONCURCNT_DETL] INT NULL,
	[OBJTYPE_DETL] nvarchar(20) NULL,
	[MACHINE_DETL] nvarchar(64) NULL 
	PRIMARY KEY CLUSTERED 
	(	[EVENT_ID] ASC,
		[SERVER_CUID] ASC	) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
go

create index MW_USR on MW_AUDIT([USER_NAME])
go

create index MW_TIME on MW_AUDIT(START_TIMESTAMP)
go

create index MW_EVENT on MW_AUDIT(EVENT_TYPE_ID)
go

create index MW_APPLTYPE on MW_AUDIT(APPLICATION_TYPE_ID)
go

create index MW_DOC on MW_AUDIT(DOCNAME_DETL)
go

create index MW_UNIV on MW_AUDIT(UNIV_DETL)
go

create index MW_MACH on MW_AUDIT(MACHINE_DETL)
go
